h5fc(1)

NAME
h5fc - Helper script to compile HDF5 Fortran90 applications

SYNOPSIS
h5fc [OPTIONS] <compile line>

DESCRIPTION
h5fc can be used in much the same way MPIch is used to compile an HDF5 program. It takes care of specifying where the HDF5 header files and libraries are on the command line.

h5fc supercedes all other compiler scripts in that if you've used them to compile the HDF5 Fortran library, then h5fc also uses those scripts. For example, when compiling an MPIch program, you use the mpif90 script. If you've built HDF5 using MPIch, then h5fc uses the MPIch program for compilation.

Some programs use HDF5 in only a few modules. It isn't necessary to use h5fc to compile those modules which don't use HDF5. In fact, since h5fc is only a convenience script, you are still able to compile HDF5 Fortran modules in the normal way. In that case, you will have to specify the HDF5 libraries and include paths yourself.

An example of how to use h5fc to compile the program hdf_prog, which consists of modules prog1.f90 and prog2.f90 and uses the HDF5 Fortran library, would be as follows:
        # h5fc -c prog1.f90
        # h5fc -c prog2.f90
        # h5fc -o hdf_prog prog1.o prog2.o

OPTIONS

-help
    Prints a help message.

-echo
    Show all the shell commands executed.

-prefix=DIR
    Use the directory DIR to find the HDF5 lib/ and include/ subdirectories. Default: prefix specified when configuring HDF5.

-show
    Show the commands without executing them.

<compile line>
    The normal compile line options for your compiler. h5fc uses the same compiler you used to compile HDF5. Check your compiler's manual for more information on which options are needed.

ENVIRONMENT

HDF5_FC
    Use a different Fortran90 compiler.

HDF5_FLINKER
    Use a different linker.

SEE ALSO
h5cc(1), h5c++(1)